Compiling under multiple PHP versions on OSX

I have both PHP5.3 and PHP5.4 installed on my Mac. The Phalcon compiler defaults to the PHP5.4 installation. Is there a way to instruct the compiler to use PHP5.3? I'd like to be able to test it in both builds.

Thanks



81.8k

Yes, first locate the phpize binary corresponding to your PHP 5.3

$ which phpize

Then before installing Phalcon an 'alias' can be used to point to the located phpize:

$ alias phpize=/path/to/5.3/phpize
$ sudo ./install